最新消息:欢迎加入小松的QQ群一起讨论一起学习,搜索页面修改成lua+ElasticSearch,使用php这个页面速度相对慢一点,优化之后速度杠杠的,如有问题请加群联系我

rpm 安装zabbix遇到的依赖问题和解决方法

Linux 1232浏览 0评论

我的系统是centos 6 32位
在安装zabbix-server的时候发现出现要安装依赖包,如截图

rpm zabbix-server依赖包

要依赖的包:OpenIPMI-libs  、fping、iksemel、net-snmp、unixODBC、zabbix-server-implementation

出现依赖那直接用yum安装

yum install -y OpenIPMI-libs

之后用yum安装fping的时候发现没有这个包,如图

yum安装fping找不到包

安装其他的依赖包也是一样的问题
这个时候要先安装epel包

下载地址:https://dl.fedoraproject.org/pub/epel/6/i386/
然后用rpm安装epel

rpm -ivh epel-release-6-8.noarch.rpm

安装包epel就可以用yum安装上面的fping等依赖包了

这时候你在安装zabbix-server包的时候发现还有一个依赖zabbix-server-implementation,如图

安装zabbix-server zabbix-server-implementation

yum安装失败,google里找不到这个包,这个问题先暂时不处理,跳过这个包的安装

于是我想先安装zabbix-server-mysql的包,这里也有依赖,如图

zabbix-server-mysql依赖

yum 的方式安装libmysqlclient.so.16依赖,但是zabbix-server的依赖包不是上面安装失败的包吗

于是我想到是不是zabbix-server和zabbix-server-mysql相互依赖,于是同时安装

rpm -ivh zabbix-server-mysql-2.4.3-1.el6.i686.rpm zabbix-server-2.4.3-1.el6.i686.rpm

rpm安装zabbix解决依赖
竟然安装成功
昨天在家里测试的时候也是这个问题,今天终于解决了

QQ交流群:136351212

如无特别说明,本站文章皆为原创,若要转载,务必请注明以下原文信息:
转载保留版权:小松博客» rpm 安装zabbix遇到的依赖问题和解决方法
本文链接地址:https://www.phpsong.com/2037.html

发表我的评论
取消评论
表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
木有头像就木有JJ!点这里按步骤申请Gravatar头像吧!